Rated 5 out of 5 stars

Actually, you only need to open the .xpi file, edit the install.rdf file within and put :
3.0.*
in place of :
3.0

Then you will be able to install the addon again and it works...

This review is for a previous version of the add-on (0.3.3).